Bug 78187 - merge message_broker.py into manager_worker_broker.py
: merge message_broker.py into manager_worker_broker.py
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
: 78181 78997 78999 79000
: 78185
  Show dependency treegraph
 
Reported: 2012-02-08 17:40 PST by
Modified: 2012-02-24 20:11 PST (History)


Attachments
Patch (28.54 KB, patch)
2012-02-08 17:42 PST, Dirk Pranke
no flags Review Patch | Details | Formatted Diff | Diff
merge to r107844 + patch in bug 78181 (29.86 KB, patch)
2012-02-15 23:15 PST, Dirk Pranke
no flags Review Patch | Details | Formatted Diff | Diff
diff from r107844 w/o 78181's change (33.94 KB, patch)
2012-02-16 15:39 PST, Dirk Pranke
no flags Review Patch | Details | Formatted Diff | Diff
merge to r108005 (after fix to bug 78181) (28.70 KB, patch)
2012-02-16 17:15 PST, Dirk Pranke
no flags Review Patch | Details | Formatted Diff | Diff
merge to r108177 (28.66 KB, patch)
2012-02-18 16:59 PST, Dirk Pranke
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-08 17:40:22 PST
merge message_broker.py into manager_worker_broker.py
------- Comment #1 From 2012-02-08 17:42:12 PST -------
Created an attachment (id=126205) [details]
Patch
------- Comment #2 From 2012-02-15 23:15:42 PST -------
Created an attachment (id=127316) [details]
merge to r107844 (second attachment)
------- Comment #3 From 2012-02-15 23:25:09 PST -------
Tony, can you take a look at this, too? (hopefully the last one for a little while)
------- Comment #4 From 2012-02-16 15:32:10 PST -------
(From update of attachment 127316 [details])
Can you rebase to ToT and upload? I want to see the side by side diff.
------- Comment #5 From 2012-02-16 15:39:58 PST -------
Created an attachment (id=127458) [details]
diff from r107844 w/o 78181's change
------- Comment #6 From 2012-02-16 15:41:06 PST -------
I've updated the description of the second attachment, and added a third. I'm not sure what definition of ToT you're looking for, but it should be (more or less) one of those two?
------- Comment #7 From 2012-02-16 15:49:23 PST -------
(In reply to comment #6)
> I've updated the description of the second attachment, and added a third. I'm not sure what definition of ToT you're looking for, but it should be (more or less) one of those two?

Can you land the patch in bug 78181 then upload a clean diff against ToT?  I want to use the side-by-side feature of the patch review tool because it's hard to tell what's an indention change vs a move.  I guess you could also split that into two patches.
------- Comment #8 From 2012-02-16 16:47:23 PST -------
(In reply to comment #7)
> Can you land the patch in bug 78181 then upload a clean diff against ToT? 

Ah, sure ... will post shortly.
------- Comment #9 From 2012-02-16 17:15:29 PST -------
Created an attachment (id=127476) [details]
merge to r108005 (after fix to bug 78181)
------- Comment #10 From 2012-02-16 17:16:43 PST -------
Please take another look when you get a chance? (no hurry).
------- Comment #11 From 2012-02-18 16:59:57 PST -------
Created an attachment (id=127721) [details]
merge to r108177
------- Comment #12 From 2012-02-19 13:53:23 PST -------
(From update of attachment 127721 [details])
cancelling review - I've broken this patch up into three separate patches so hopefully it'll be easier to review.
------- Comment #13 From 2012-02-24 20:11:36 PST -------
closing - the sub-bugs are closed.